import 'package:frontend_eccp_mobile/app/core/config/app_flavor.dart';

class AppEnvironment {
  AppEnvironment._();

  static String get baseUrl {
    if (Flavor.isProd) {
      return 'https://project.adhivasindo.co.id/api_eccp';
    }
    if (Flavor.isStaging) {
      return 'https://project.adhivasindo.co.id/api_eccp';
    }
    return 'https://project.adhivasindo.co.id/api_eccp';
  }

  static String get imageBaseUrl {
    if (Flavor.isProd) {
      return 'https://project.adhivasindo.co.id/';
    }
    if (Flavor.isStaging) {
      return 'https://project.adhivasindo.co.id/';
    }
    return 'https://project.adhivasindo.co.id/';
  }

  static const int connectTimeoutSeconds = 15;
  static const int receiveTimeoutSeconds = 30;

  static bool get enableHttpLog => !Flavor.isProd;
}
